.l-landing-page-free-trial {
  width: 100%;

  display: flex;
  align-items: center;
  justify-content: center;

  background: url(/images/landingpage/trial-bg-bottom.png) no-repeat,
    url(/images/landingpage/trial-bg-top.png) no-repeat;

  background-position: bottom right, 100% -110px;
  background-color: white;

  position: relative;

  .flex-free-trial {
    display: flex;
    justify-content: flex-end;
  }

  &__section {
    width: 50%;
    height: 800px;

    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &__image {
    background-image: url(/images/landingpage/bg-freetrial.png);
    width: 46%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top right;
    padding: 3vw 1vw 0 0;
    text-align: right;

    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);

    img {
      width: 100%;
      // opacity: 0;
      // transform: translateX(-100%) rotate(-120deg);
      // transition: transform 2s;

      // &.aos-animate {
      //   opacity: 1;
      //   transform: translateX(0px) rotate(0deg);
      //   transition: transform 2s all;
      // }
    }

    // @keyframes roll-in {
    //   0% {
    //     opacity: 0;
    //     transform: translateX(-100%) rotate(-120deg);
    //   }
    //   100% {
    //     opacity: 1;
    //     transform: translateX(0px) rotate(0deg);
    //   }
    // }
  }

  &__title {
  }

  &__description {
    font-size: 1.6rem;
  }

  &__form {
    max-width: 600px;
  }

  &__form-input {
    display: flex;
    align-items: center;
    justify-content: center;

    margin: 2rem auto;
    
  }

  &__content {
    width: 100%;
    height: 64px;

    background: #f5f8fc;
    border-radius: 16px;

    border: 1px solid #d5dee8;
    box-sizing: border-box;
  }

  .subscription {
    position: relative;
    width: 100%;
    height: 100%;
  }

  .subscription .add-email {
    position: absolute;
    top: -0.2rem;
    left: 0;
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    padding: 0 2rem;
  }

  input::placeholder {
    font-family: 'inter';
    font-size: 1.6rem;
  }

  .message-validate {
    margin: 1.2rem 0;
  }

  .subscription .submit-email {
    width: 48px;
    height: 48px;
    margin: 0.8rem;

    position: absolute;
    top: -0.1rem;
    right: 0;
    border: none;
    border-radius: 1rem;
    outline: none;
    cursor: pointer;
    background: #6262bc;
    transition: width 0.35s ease-in-out, background 0.35s ease-in-out;

    &:hover {
      animation: bnbounce 4s infinite;
      cursor: pointer;

      input::placeholder {
        display: none;
      }
    }
  }

  @keyframes bnbounce {
    5%,
    50% {
      transform: scale(1);
    }

    10% {
      transform: scale(1);
    }

    15% {
      transform: scale(1);
    }

    20% {
      transform: scale(1) rotate(-5deg);
    }

    25% {
      transform: scale(1) rotate(5deg);
    }

    30% {
      transform: scale(1) rotate(-3deg);
    }

    35% {
      transform: scale(1) rotate(2deg);
    }

    40% {
      transform: scale(1) rotate(0);
    }
  }
}

@media only screen and (max-width: 720px) {
  .l-landing-page-free-trial {
    display: flex;
    flex-direction: column;

    background-image: none;

    padding-bottom: 5rem;

    &__image {
      width: 100%;
      background-image: none;

      order: 2;
      margin: auto;
      padding: 2.1rem;

      position: inherit;

      transform: none;

      img {
        width: 100%;
      }
    }

    &__section {
      width: 100%;
      height: 100%;

      margin: 6.4rem 0 8.2rem 0;

      display: flex;
      justify-content: center;
      align-items: center;

      order: 1;
    }

    &__form {
      width: 100%;
    }

    &__form-input {
    }

    &__content {
    }

    .subscription {
      width: 100%;
    }

    .subscription .add-email {
      padding: 0 1rem;
    }

    .subscription .submit-email {
    }
  }
}

.free-trial-animation {
  animation: slideInUp 1s forwards;
}

@keyframes slideInUp {
  from {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
    // visibility: visible;
  }

  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}
